<!-- prettier-ignore-start -->
# Class LinkedHashMap

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.util.Map](dw.util.Map.md)
    - [dw.util.LinkedHashMap](dw.util.LinkedHashMap.md)

This class implements a HashMap, which guarantees a iteration order
according the put-order of the elements in the map.



## Constructor Summary

| Constructor | Description |
| --- | --- |
| [LinkedHashMap](#linkedhashmap)() | Constructs a new LinkedHashMap. |

## Method Summary

| Method | Description |
| --- | --- |
| [clone](dw.util.LinkedHashMap.md#clone)() | Returns a shallow copy of this map. |

### Methods inherited from class Map

[clear](dw.util.Map.md#clear), [containsKey](dw.util.Map.md#containskeyobject), [containsValue](dw.util.Map.md#containsvalueobject), [entrySet](dw.util.Map.md#entryset), [get](dw.util.Map.md#getobject), [getLength](dw.util.Map.md#getlength), [isEmpty](dw.util.Map.md#isempty), [keySet](dw.util.Map.md#keyset), [put](dw.util.Map.md#putobject-object), [putAll](dw.util.Map.md#putallmap), [remove](dw.util.Map.md#removeobject), [size](dw.util.Map.md#size), [values](dw.util.Map.md#values---variant-1), [values](dw.util.Map.md#values---variant-2)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constructor Details

### LinkedHashMap()
- LinkedHashMap()
  - : Constructs a new LinkedHashMap.


---

## Method Details

### clone()
- clone(): [LinkedHashMap](dw.util.LinkedHashMap.md)
  - : Returns a shallow copy of this map.

    **Returns:**
    - a shallow copy of this map.


---

<!-- prettier-ignore-end -->
